unit H_PDFPages1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    Edit2: TEdit;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Label1: TLabel;
    Button10: TButton;
    Edit3: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Edit3Change(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

function GetPDFPageCount(const FileName: PChar): LongInt; stdcall;
function GetPDFFormat(const FileName: PChar; Page: LongInt): LongInt; stdcall;
function GetPDFPageWidth(const FileName: PChar; Page: LongInt): LongInt; stdcall;
function GetPDFPageHeight(const FileName: PChar; Page: LongInt): LongInt; stdcall;
function GetPDFColourStyle(const FileName: PChar; Page: LongInt): LongInt; stdcall;
function GetPDFLayerCount(const FileName: PChar; Page: LongInt): LongInt; stdcall;
function GetPDFPageLayout(const FileName: PChar; Page: LongInt): LongInt; stdcall;
function GetPDFPageMode(const FileName: PChar; Page: LongInt): LongInt; stdcall;
function GetPDFeFonts(const FileName: PChar; Page: LongInt): PChar; stdcall;

implementation

{$R *.DFM}

function GetPDFPageCount(const FileName: PChar): LongInt; stdcall;
external 'PDFlayout.dll';
function GetPDFFormat(const FileName: PChar; Page: LongInt): LongInt; stdcall;
external 'PDFlayout.dll';
function GetPDFPageWidth(const FileName: PChar; Page: LongInt): LongInt; stdcall;
external 'PDFlayout.dll';
function GetPDFPageHeight(const FileName: PChar; Page: LongInt): LongInt; stdcall;
external 'PDFlayout.dll';
function GetPDFColourStyle(const FileName: PChar; Page: LongInt): LongInt; stdcall;
external 'PDFlayout.dll';
function GetPDFLayerCount(const FileName: PChar; Page: LongInt): LongInt; stdcall;
external 'PDFlayout.dll';
function GetPDFPageLayout(const FileName: PChar; Page: LongInt): LongInt; stdcall;
external 'PDFlayout.dll';
function GetPDFPageMode(const FileName: PChar; Page: LongInt): LongInt; stdcall;
external 'PDFlayout.dll';
function GetPDFeFonts(const FileName: PChar; Page: LongInt): PChar; stdcall;
external 'PDFlayout.dll';

procedure TForm1.Button1Click(Sender: TObject);
begin
     If OpenDialog1.Execute Then
        Edit1.Text := OpenDialog1.FileName;
end;

procedure TForm1.Button2Click(Sender: TObject);
var s : LongInt;
begin
     Edit2.Text := IntToStr(GetPDFFormat(PChar(Edit1.Text),StrToInt(Edit3.Text)));
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
     Edit2.Text := IntToStr(GetPDFPageMode(PChar(Edit1.Text),StrToInt(Edit3.Text)));
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
     Edit2.Text := IntToStr(GetPDFPageWidth(PChar(Edit1.Text),StrToInt(Edit3.Text)));

end;

procedure TForm1.Button5Click(Sender: TObject);
begin
     Edit2.Text := IntToStr(GetPDFPageHeight(PChar(Edit1.Text),StrToInt(Edit3.Text)));

end;

procedure TForm1.Button6Click(Sender: TObject);
begin
     Edit2.Text := IntToStr(GetPDFColourStyle(PChar(Edit1.Text),StrToInt(Edit3.Text)));

end;

procedure TForm1.Button7Click(Sender: TObject);
begin
     Edit2.Text := IntToStr(GetPDFLayerCount(PChar(Edit1.Text),StrToInt(Edit3.Text)));

end;

procedure TForm1.Button8Click(Sender: TObject);
begin
     Edit2.Text := IntToStr(GetPDFPageLayout(PChar(Edit1.Text),StrToInt(Edit3.Text)));

end;

procedure TForm1.Button9Click(Sender: TObject);
begin
     Edit2.Text := GetPDFeFonts(PChar(Edit1.Text),StrToInt(Edit3.Text));

end;

procedure TForm1.Button10Click(Sender: TObject);
begin
     Edit2.Text := IntToStr(GetPDFPageCount(PChar(Edit1.Text)));
end;

procedure TForm1.Edit3Change(Sender: TObject);
begin
   If Trim(Edit3.Text) = '' Then
      Edit3.Text := '0';
   If ( StrToInt(Edit3.Text) < 0 ) or
      ( StrToInt(Edit3.Text) > 9999 ) Then
      Edit3.Text := '0';
end;

end.

